<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven Changes Plug-in</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>

  <body>
    <section name="Maven Changes Plug-in">
      <p>
        This plugin produces a changes report showing the differences 
        between different releases of the project using it.
      </p>
      <p>
        In order to use this plugin, simply create a <code>changes.xml</code>
        file in your <code>xdocs</code> directory. Here's an example of a
        typical <code>changes.xml</code>, showing the syntax:
      </p>
<source><![CDATA[
<document>
  <properties>
    <title>Page title</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>
  <body>

    <release version="2.0" date="in CVS">
      <action dev="vmassol" type="update">
        Blah blah.
      </action>              
    </release>

    <release version="1.0" date="2003-06-05">
      <action dev="vmassol" type="add">
        Added blah blah.
      </action>              
      <action dev="vmassol" type="fix">
        Corrected bug blah blah.
      </action>              
      <action dev="vmassol" type="remove">
        Removed blah blah.
      </action>              
    </release>
  </body>
</document>
]]></source>     
      <p>
        A live Changes example report can be found 
        <a href="http://maven.apache.org/reference/plugins/cactus/changes-report.html">here</a>.
      </p>
    </section>
 </body>
</document>
